namespace BlobWCFService_DataContracts
{
    using System;
    using System.Data;
    using System.Runtime.Serialization;
    using System.ServiceModel;
    using ObRun.ObServiceSupport;
    
    
    [DataContract()]
    public class AA3F_Input : ObPlexVariableGroup
    {
        
        [DataContract()]
        public struct _Position
        {
            
            [DataMember()]
            public string AAgA;
        }
        
        [DataMember()]
        public _Position Position;
        
        [DataContract()]
        public struct _Control
        {
            
            [DataMember()]
            public string Position;
            
            [DataMember()]
            public long RowsFetched;
        }
        
        [DataMember()]
        public _Control Control;
    }
    
    [DataContract()]
    public class AA3F_Output : ObPlexVariableGroup
    {
        
        [DataContract()]
        public struct _PlexSystem
        {
            
            [DataMember()]
            public string ReturnedStatus;
            
            [DataMember()]
            public bool CallStatus;
        }
        
        [DataMember()]
        public _PlexSystem PlexSystem;
        
        [DataContract()]
        public struct _Control
        {
            
            [DataMember()]
            public long RowsFetched;
        }
        
        [DataMember()]
        public _Control Control;
        
        [DataContract()]
        public struct _FetchedData
        {
            
            [DataMember()]
            public string AAgA;
            
            [DataMember()]
            public string AAbA;
            
            [DataMember()]
            public byte[] AAcA;
        }
        
        [DataMember()]
        public _FetchedData[] FetchedData;
    }
}
