namespace BlobWCFService_DataContracts
{
    using System;
    using System.Data;
    using System.Runtime.Serialization;
    using System.ServiceModel;
    using ObRun.ObServiceSupport;
    
    
    [DataContract()]
    public class AA7F_Input : ObPlexVariableGroup
    {
        
        [DataContract()]
        public struct _UpdateData
        {
            
            [DataMember()]
            public string AAbA;
            
            [DataMember()]
            public byte[] AAcA;
        }
        
        [DataMember()]
        public _UpdateData UpdateData;
        
        [DataContract()]
        public struct _UpdateKey
        {
            
            [DataMember()]
            public string AAgA;
        }
        
        [DataMember()]
        public _UpdateKey UpdateKey;
        
        [DataContract()]
        public struct _Original
        {
            
            [DataMember()]
            public string AAgA;
            
            [DataMember()]
            public string AAbA;
            
            [DataMember()]
            public byte[] AAcA;
        }
        
        [DataMember()]
        public _Original Original;
    }
    
    [DataContract()]
    public class AA7F_Output : ObPlexVariableGroup
    {
        
        [DataContract()]
        public struct _PlexSystem
        {
            
            [DataMember()]
            public string ReturnedStatus;
            
            [DataMember()]
            public bool CallStatus;
        }
        
        [DataMember()]
        public _PlexSystem PlexSystem;
        
        [DataContract()]
        public struct _UpdateData
        {
            
            [DataMember()]
            public string AAbA;
            
            [DataMember()]
            public byte[] AAcA;
        }
        
        [DataMember()]
        public _UpdateData UpdateData;
        
        [DataContract()]
        public struct _UpdateKey
        {
            
            [DataMember()]
            public string AAgA;
        }
        
        [DataMember()]
        public _UpdateKey UpdateKey;
    }
}
