using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BlobTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btn_Read_Click(object sender, EventArgs e)
        {
            System.Data.DataSet inparm = ObRun.ObUtils.ObUserApi.getInputParmDataSet("TUTORIALWIN.AA5F");

            inparm.Tables["CallInfo"].Rows[0]["FunctionName"] = "TUTORIALWIN.AA5F_ObFnc";
            inparm.Tables["InAA5F_FetchKey"].Rows[0]["AAgA"] = this.tb_BlobKey.Text;

            System.Data.DataSet outparm = ObRun.ObUtils.ObUserApi.callFunction(inparm, false);

            this.tb_blobName.Text = (String)outparm.Tables["OutAA5F_FetchedData"].Rows[0]["AAbA"];
            byte[] x = (byte[])outparm.Tables["OutAA5F_FetchedData"].Rows[0]["AAcA"];
            if (this.tb_blobName.Text.EndsWith(".bmp", StringComparison.CurrentCultureIgnoreCase))
                this.pb_Blob.Image = new Bitmap(new System.IO.MemoryStream(x));
            else
                this.pb_Blob.Image = null;

            {

                System.IO.FileStream fs =
                    new System.IO.FileStream("C:\\_PlexBlob\\Resource\\OutputBy.NETClient\\" + this.tb_blobName.Text,
                        System.IO.FileMode.Create,
                        System.IO.FileAccess.Write);

                fs.Write(x, 0, x.Length);
                fs.Close();

            }
        }
    }
}